scala.collection.TraversableLike

# WithFilter

#### class WithFilter extends FilterMonadic[A, Repr]

A class supporting filtered operations. Instances of this class are returned by method `withFilter`.

Source
  TraversableLike.scala

Linear Supertypes
FilterMonadic[A, Repr], AnyRef, Any
Known Subclasses
StreamWithFilter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WithFilter
2. FilterMonadic
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new WithFilter(p: (A) ⇒ Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from WithFilter to any2stringadd[WithFilter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (WithFilter, B)

   Implicit information
     This member is added by an implicit conversion from WithFilter to ArrowAssoc[WithFilter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (WithFilter) ⇒ Boolean, msg: ⇒ Any): WithFilter

   Implicit information
     This member is added by an implicit conversion from WithFilter to Ensuring[WithFilter] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (WithFilter) ⇒ Boolean): WithFilter

   Implicit information
     This member is added by an implicit conversion from WithFilter to Ensuring[WithFilter] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): WithFilter

    Implicit information
      This member is added by an implicit conversion from WithFilter to Ensuring[WithFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): WithFilter

    Implicit information
      This member is added by an implicit conversion from WithFilter to Ensuring[WithFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def flatMap[B](f: (A) ⇒ TraversableOnce[B]): Traversable[B]

    [use case] Builds a new collection by applying a function to all elements of the outer traversable collection containing this `WithFilter` instance that satisfy predicate `p` and concatenating the results.

    [use case]

    Builds a new collection by applying a function to all elements of the outer traversable collection containing this `WithFilter` instance that satisfy predicate `p` and concatenating the results.

    The type of the resulting collection will be guided by the static type of the outer traversable collection.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new traversable collection resulting from applying the given collection-valued function `f` to each element of the outer traversable collection that satisfies predicate `p` and concatenating the results.

    Definition Classes
      WithFilter → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Repr, B, That]): That

16. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of the outer traversable collection containing this `WithFilter` instance that satisfy predicate `p`.

    [use case]

    Applies a function `f` to all elements of the outer traversable collection containing this `WithFilter` instance that satisfy predicate `p`.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      WithFilter → FilterMonadic
    Full Signature

    #### def foreach[U](f: (A) ⇒ U): Unit

17. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from WithFilter to StringFormat[WithFilter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def map[B](f: (A) ⇒ B): Traversable[B]

    [use case] Builds a new collection by applying a function to all elements of the outer traversable collection containing this `WithFilter` instance that satisfy predicate `p`.

    [use case]

    Builds a new collection by applying a function to all elements of the outer traversable collection containing this `WithFilter` instance that satisfy predicate `p`.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new traversable collection resulting from applying the given function `f` to each element of the outer traversable collection that satisfies predicate `p` and collecting the results.

    Definition Classes
      WithFilter → FilterMonadic
    Full Signature

    #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[Repr, B, That]): That

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from WithFilter to CollectionsHaveToParArray[WithFilter, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (WithFilter) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def withFilter(q: (A) ⇒ Boolean): WithFilter

    Further refines the filter for this traversable collection.

    Further refines the filter for this traversable collection.

    q

      the predicate used to test elements.

    returns

      an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this traversable collection which satisfy the predicate `q` in addition to the predicate `p`.

    Definition Classes
      WithFilter → FilterMonadic

32. #### def →[B](y: B): (WithFilter, B)

    Implicit information
      This member is added by an implicit conversion from WithFilter to ArrowAssoc[WithFilter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from FilterMonadic[A, Repr]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from WithFilter to CollectionsHaveToParArray[WithFilter, T]

### Inherited by implicit conversion any2stringadd from WithFilter to any2stringadd[WithFilter]

### Inherited by implicit conversion StringFormat from WithFilter to StringFormat[WithFilter]

### Inherited by implicit conversion Ensuring from WithFilter to Ensuring[WithFilter]

### Inherited by implicit conversion ArrowAssoc from WithFilter to ArrowAssoc[WithFilter]

### Ungrouped